"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CostExplorer = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const CreateAnomalyMonitorCommand_1 = require("./commands/CreateAnomalyMonitorCommand");
const CreateAnomalySubscriptionCommand_1 = require("./commands/CreateAnomalySubscriptionCommand");
const CreateCostCategoryDefinitionCommand_1 = require("./commands/CreateCostCategoryDefinitionCommand");
const DeleteAnomalyMonitorCommand_1 = require("./commands/DeleteAnomalyMonitorCommand");
const DeleteAnomalySubscriptionCommand_1 = require("./commands/DeleteAnomalySubscriptionCommand");
const DeleteCostCategoryDefinitionCommand_1 = require("./commands/DeleteCostCategoryDefinitionCommand");
const DescribeCostCategoryDefinitionCommand_1 = require("./commands/DescribeCostCategoryDefinitionCommand");
const GetAnomaliesCommand_1 = require("./commands/GetAnomaliesCommand");
const GetAnomalyMonitorsCommand_1 = require("./commands/GetAnomalyMonitorsCommand");
const GetAnomalySubscriptionsCommand_1 = require("./commands/GetAnomalySubscriptionsCommand");
const GetCostAndUsageCommand_1 = require("./commands/GetCostAndUsageCommand");
const GetCostAndUsageWithResourcesCommand_1 = require("./commands/GetCostAndUsageWithResourcesCommand");
const GetCostCategoriesCommand_1 = require("./commands/GetCostCategoriesCommand");
const GetCostForecastCommand_1 = require("./commands/GetCostForecastCommand");
const GetDimensionValuesCommand_1 = require("./commands/GetDimensionValuesCommand");
const GetReservationCoverageCommand_1 = require("./commands/GetReservationCoverageCommand");
const GetReservationPurchaseRecommendationCommand_1 = require("./commands/GetReservationPurchaseRecommendationCommand");
const GetReservationUtilizationCommand_1 = require("./commands/GetReservationUtilizationCommand");
const GetRightsizingRecommendationCommand_1 = require("./commands/GetRightsizingRecommendationCommand");
const GetSavingsPlansCoverageCommand_1 = require("./commands/GetSavingsPlansCoverageCommand");
const GetSavingsPlansPurchaseRecommendationCommand_1 = require("./commands/GetSavingsPlansPurchaseRecommendationCommand");
const GetSavingsPlansUtilizationCommand_1 = require("./commands/GetSavingsPlansUtilizationCommand");
const GetSavingsPlansUtilizationDetailsCommand_1 = require("./commands/GetSavingsPlansUtilizationDetailsCommand");
const GetTagsCommand_1 = require("./commands/GetTagsCommand");
const GetUsageForecastCommand_1 = require("./commands/GetUsageForecastCommand");
const ListCostAllocationTagsCommand_1 = require("./commands/ListCostAllocationTagsCommand");
const ListCostCategoryDefinitionsCommand_1 = require("./commands/ListCostCategoryDefinitionsCommand");
const ListSavingsPlansPurchaseRecommendationGenerationCommand_1 = require("./commands/ListSavingsPlansPurchaseRecommendationGenerationCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const ProvideAnomalyFeedbackCommand_1 = require("./commands/ProvideAnomalyFeedbackCommand");
const StartSavingsPlansPurchaseRecommendationGenerationCommand_1 = require("./commands/StartSavingsPlansPurchaseRecommendationGenerationCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const UpdateAnomalyMonitorCommand_1 = require("./commands/UpdateAnomalyMonitorCommand");
const UpdateAnomalySubscriptionCommand_1 = require("./commands/UpdateAnomalySubscriptionCommand");
const UpdateCostAllocationTagsStatusCommand_1 = require("./commands/UpdateCostAllocationTagsStatusCommand");
const UpdateCostCategoryDefinitionCommand_1 = require("./commands/UpdateCostCategoryDefinitionCommand");
const CostExplorerClient_1 = require("./CostExplorerClient");
const commands = {
    CreateAnomalyMonitorCommand: CreateAnomalyMonitorCommand_1.CreateAnomalyMonitorCommand,
    CreateAnomalySubscriptionCommand: CreateAnomalySubscriptionCommand_1.CreateAnomalySubscriptionCommand,
    CreateCostCategoryDefinitionCommand: CreateCostCategoryDefinitionCommand_1.CreateCostCategoryDefinitionCommand,
    DeleteAnomalyMonitorCommand: DeleteAnomalyMonitorCommand_1.DeleteAnomalyMonitorCommand,
    DeleteAnomalySubscriptionCommand: DeleteAnomalySubscriptionCommand_1.DeleteAnomalySubscriptionCommand,
    DeleteCostCategoryDefinitionCommand: DeleteCostCategoryDefinitionCommand_1.DeleteCostCategoryDefinitionCommand,
    DescribeCostCategoryDefinitionCommand: DescribeCostCategoryDefinitionCommand_1.DescribeCostCategoryDefinitionCommand,
    GetAnomaliesCommand: GetAnomaliesCommand_1.GetAnomaliesCommand,
    GetAnomalyMonitorsCommand: GetAnomalyMonitorsCommand_1.GetAnomalyMonitorsCommand,
    GetAnomalySubscriptionsCommand: GetAnomalySubscriptionsCommand_1.GetAnomalySubscriptionsCommand,
    GetCostAndUsageCommand: GetCostAndUsageCommand_1.GetCostAndUsageCommand,
    GetCostAndUsageWithResourcesCommand: GetCostAndUsageWithResourcesCommand_1.GetCostAndUsageWithResourcesCommand,
    GetCostCategoriesCommand: GetCostCategoriesCommand_1.GetCostCategoriesCommand,
    GetCostForecastCommand: GetCostForecastCommand_1.GetCostForecastCommand,
    GetDimensionValuesCommand: GetDimensionValuesCommand_1.GetDimensionValuesCommand,
    GetReservationCoverageCommand: GetReservationCoverageCommand_1.GetReservationCoverageCommand,
    GetReservationPurchaseRecommendationCommand: GetReservationPurchaseRecommendationCommand_1.GetReservationPurchaseRecommendationCommand,
    GetReservationUtilizationCommand: GetReservationUtilizationCommand_1.GetReservationUtilizationCommand,
    GetRightsizingRecommendationCommand: GetRightsizingRecommendationCommand_1.GetRightsizingRecommendationCommand,
    GetSavingsPlansCoverageCommand: GetSavingsPlansCoverageCommand_1.GetSavingsPlansCoverageCommand,
    GetSavingsPlansPurchaseRecommendationCommand: GetSavingsPlansPurchaseRecommendationCommand_1.GetSavingsPlansPurchaseRecommendationCommand,
    GetSavingsPlansUtilizationCommand: GetSavingsPlansUtilizationCommand_1.GetSavingsPlansUtilizationCommand,
    GetSavingsPlansUtilizationDetailsCommand: GetSavingsPlansUtilizationDetailsCommand_1.GetSavingsPlansUtilizationDetailsCommand,
    GetTagsCommand: GetTagsCommand_1.GetTagsCommand,
    GetUsageForecastCommand: GetUsageForecastCommand_1.GetUsageForecastCommand,
    ListCostAllocationTagsCommand: ListCostAllocationTagsCommand_1.ListCostAllocationTagsCommand,
    ListCostCategoryDefinitionsCommand: ListCostCategoryDefinitionsCommand_1.ListCostCategoryDefinitionsCommand,
    ListSavingsPlansPurchaseRecommendationGenerationCommand: ListSavingsPlansPurchaseRecommendationGenerationCommand_1.ListSavingsPlansPurchaseRecommendationGenerationCommand,
    ListTagsForResourceCommand: ListTagsForResourceCommand_1.ListTagsForResourceCommand,
    ProvideAnomalyFeedbackCommand: ProvideAnomalyFeedbackCommand_1.ProvideAnomalyFeedbackCommand,
    StartSavingsPlansPurchaseRecommendationGenerationCommand: StartSavingsPlansPurchaseRecommendationGenerationCommand_1.StartSavingsPlansPurchaseRecommendationGenerationCommand,
    TagResourceCommand: TagResourceCommand_1.TagResourceCommand,
    UntagResourceCommand: UntagResourceCommand_1.UntagResourceCommand,
    UpdateAnomalyMonitorCommand: UpdateAnomalyMonitorCommand_1.UpdateAnomalyMonitorCommand,
    UpdateAnomalySubscriptionCommand: UpdateAnomalySubscriptionCommand_1.UpdateAnomalySubscriptionCommand,
    UpdateCostAllocationTagsStatusCommand: UpdateCostAllocationTagsStatusCommand_1.UpdateCostAllocationTagsStatusCommand,
    UpdateCostCategoryDefinitionCommand: UpdateCostCategoryDefinitionCommand_1.UpdateCostCategoryDefinitionCommand,
};
class CostExplorer extends CostExplorerClient_1.CostExplorerClient {
}
exports.CostExplorer = CostExplorer;
(0, smithy_client_1.createAggregatedClient)(commands, CostExplorer);
