import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  DeleteAnomalySubscriptionRequest,
  DeleteAnomalySubscriptionResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteAnomalySubscriptionCommandInput
  extends DeleteAnomalySubscriptionRequest {}
export interface DeleteAnomalySubscriptionCommandOutput
  extends DeleteAnomalySubscriptionResponse,
    __MetadataBearer {}
export declare class DeleteAnomalySubscriptionCommand extends $Command<
  DeleteAnomalySubscriptionCommandInput,
  DeleteAnomalySubscriptionCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: DeleteAnomalySubscriptionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteAnomalySubscriptionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteAnomalySubscriptionCommandInput,
    DeleteAnomalySubscriptionCommandOutput
  >;
  private serialize;
  private deserialize;
}
